# Acknowledgments

This package was created and is maintained by [Rémy
Abergel](https://www.math-info.univ-paris5.fr/~rabergel) (Research
Engineer at CNRS & Université Paris Cité, MAP5 Laboratory) and would
have never existed without the help and support of [Sylvain
Durand](https://helios2.mi.parisdescartes.fr/~sdurand/index.html)
(Professor at Université Paris Cité, MAP5 Laboratory) and [Yves-Michel
Frapart](https://lcbpt.biomedicale.parisdescartes.fr/bio-spectroscopy/epr-and-imaging/yves-frapart/)
(Senior Research Engineer at CNRS & Université Paris Cité, LCBPT),
founders of many of the applications presented in the provided
examples and significant contributors to this work as a whole.

We would like to thank the maintainers of several open source projects
for their hard work and for their availability regarding several
issues we faced during the development of PyEPRI.
  
+ [FINUFFT](https://finufft.readthedocs.io): the core functionalities
  of the PyEPRI package (i.e., the projection and backprojection
  operations) strongly depend on the FINUFFT package for the
  computation of Nonuniform Fast Fourier Transforms. The fastness and
  impressively low memory consumption of the FINUFFT package has
  strongly motivated the creation of the PyEPRI package. We would like
  to thank the FINUFFT Team for their availability and support on
  [Github](https://github.com/flatironinstitute/finufft).
  
+ [Sphinx](https://www.sphinx-doc.org/) and
  [Sphinx-Gallery](https://sphinx-gallery.github.io/): this
  documentation was created using Sphinx and the example galleries it
  contains were created using Sphinx-gallery. Special thanks to the
  Sphinx-gallery team for its kind support on
  [Github](https://github.com/sphinx-gallery/sphinx-gallery).
  
More generally, we thank the developers of the other packages or
projects ([Numpy](https://numpy.org/), [Cupy](https://cupy.dev/),
[PyTorch](https://pytorch.org/), [Pyvista](https://docs.pyvista.org/)
...) on which PyEPRI relies on.

Many thanks also to [Plateforme en Ligne
Mathrice](https://services.math.cnrs.fr/) for hosting the
[documentation of the PyEPRI
package](https://pyepri.math.cnrs.fr/), and more generally
for all the great digital services they offer to the French
mathematical community.
