# PyEPRI -- A CPU & GPU compatible Python package for Electron Paramagnetic Resonance Imaging

This Python package implements Low-Level Operators involved in
Electron Paramagnetic Resonance (EPR) and also High-level Advanced
Algorithms for end-users. This package is fully implemented in Python
and provides both CPU and GPU computation capabilities, through the
libraries [Numpy](https://numpy.org/), [PyTorch](https://pytorch.org/)
and [Cupy](https://cupy.dev/). 

The PyEPRI package has been developed by researchers and is addressed
to the whole EPR community. It is licensed under the terms of the MIT
license.

The PyEPRI package is the fruit of a long term interdisciplinary
collaboration between two French laboratories hosted at [Université
Paris Cité](https://u-paris.fr/): the [MAP5
Laboratory](https://map5.mi.parisdescartes.fr/) (Laboratory of Applied
Mathematics) and the
[LCBPT](https://lcbpt.biomedicale.parisdescartes.fr/) (Laboratory of
Chemistry and Biochemistry). 


```{toctree}
:maxdepth: 2
:caption: The PyEPRI package
:hidden:

installation
definitions
API documentation <autoapi/pyepri/index>
acknowledgments
references
```

```{toctree}
:maxdepth: 2
:caption: Tutorials & Examples
:hidden:
	
_gallery/getting_started/index
_gallery/filtered_back_projection/index
_gallery/tv_regularization/index
_gallery/sources_separation/index
```
